using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;

namespace SpreadTest
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            fpSpread1.AutoClipboard = true;

            FarPoint.Win.Spread.InputMap imcopy;
            imcopy = fpSpread1.GetInputMap(FarPoint.Win.Spread.InputMapMode.WhenFocused);
            imcopy.Put(new FarPoint.Win.Spread.Keystroke(Keys.C, Keys.Control), FarPoint.Win.Spread.SpreadActions.ClipboardCopyShape);


            FarPoint.Win.Spread.InputMap imcut;
            imcut = fpSpread1.GetInputMap(FarPoint.Win.Spread.InputMapMode.WhenFocused);
            imcut.Put(new FarPoint.Win.Spread.Keystroke(Keys.X, Keys.Control), FarPoint.Win.Spread.SpreadActions.ClipboardCutShape);

            FarPoint.Win.Spread.InputMap impaste;
            impaste = fpSpread1.GetInputMap(FarPoint.Win.Spread.InputMapMode.WhenFocused);
            impaste.Put(new FarPoint.Win.Spread.Keystroke(Keys.V, Keys.Control), FarPoint.Win.Spread.SpreadActions.ClipboardPasteShape);

            fpSpread1.ActiveSheet.RowCount = 3;
            fpSpread1.ActiveSheet.ColumnCount = 3;

            fpSpread1.ActiveSheet.Cells[0, 0].Text = "1";
            fpSpread1.ActiveSheet.Cells[0, 1].Text = "2";
            fpSpread1.ActiveSheet.Cells[0, 2].Text = "3";
            fpSpread1.ActiveSheet.Cells[1, 0].Text = "4";
            fpSpread1.ActiveSheet.Cells[1, 1].Text = "5";
            fpSpread1.ActiveSheet.Cells[1, 2].Text = "6";
            fpSpread1.ActiveSheet.Cells[2, 0].Text = "7";
            fpSpread1.ActiveSheet.Cells[2, 1].Text = "8";
            fpSpread1.ActiveSheet.Cells[2, 2].Text = "9";

            fpSpread1.ActiveSheet.Cells[0, 0].Locked = true;
            fpSpread1.ActiveSheet.Cells[0, 1].Locked = true;
            fpSpread1.ActiveSheet.Cells[0, 2].Locked = true;
            fpSpread1.ActiveSheet.Cells[1, 0].Locked = true;
            fpSpread1.ActiveSheet.Cells[1, 1].Locked = true;
            fpSpread1.ActiveSheet.Cells[1, 2].Locked = true;
            fpSpread1.ActiveSheet.Cells[2, 0].Locked = true;
            fpSpread1.ActiveSheet.Cells[2, 1].Locked = true;
            fpSpread1.ActiveSheet.Cells[2, 2].Locked = true;

        }
    }
}